[Unit]
Description=hysteria client
After=network.target

[Service]
ExecStart=/root/hysteria/hysteria-linux-amd64-avx client -c /root/hysteria/config.yaml
Restart=always
User=root
RestartSec=5s
StartLimitInterval=30s
StartLimitBurst=5
MemoryLimit=512M           # 可选：限制内存使用以防止再次触发 OOM
LimitNOFILE=10240          # 可选：增加文件描述符限制（如果需要）

[Install]
WantedBy=multi-user.target
